Package com.pixelmed.event

# Class Listener

java.lang.Object
com.pixelmed.event.Listener

All Implemented Interfaces:
  `EventListener`

Direct Known Subclasses:
  `SelfRegisteringListener`

public abstract class Listener extends Object implements EventListener

## Constructor Summary

Constructors
Constructor
Description
`Listener(String className, EventContext eventContext)`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`changed(Event e)`
`final Class`
`getClassOfEventHandled()`
`final EventContext`
`getEventContext()`
`final void`
`setClassOfEventHandled(Class classOfEventHandled)`
`final void`
`setEventContext(EventContext eventContext)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Listener

public Listener(String className, EventContext eventContext)

Parameters:
  `className` -
  `eventContext` -

## Method Details

### setClassOfEventHandled

public final void setClassOfEventHandled(Class classOfEventHandled)

Parameters:
  `classOfEventHandled` -

### getClassOfEventHandled

public final Class getClassOfEventHandled()

### setEventContext

public final void setEventContext(EventContext eventContext)

Parameters:
  `eventContext` -

### getEventContext

public final EventContext getEventContext()

### changed

public abstract void changed(Event e)

Parameters:
  `e` -

### toString

public String toString()

Overrides:
  `toString` in class `Object`